﻿
@{
    ViewData["Title"] = "Index";
}

<link href="~/assets/css/avira-custom.css" rel="stylesheet" />
<script src="~/assets/plugins/jquery/jquery-3.3.1.min.js"></script>
<script src="~/assets/js/page-table-manage.demo.min.js"></script>

<div id="content" class="content">
    <div class="section-with-top-border">
        <div>
            <div class="row">
                <div class="col-md-4">
                    <h4>Resources</h4>
                </div>
                <div class="col-md-8 text-right" style="padding-right:35px" ;>
                    <a href="/Role/Index" class="btn btn-inverse btn-primary btn-block width-200">
                        Go to Roles
                    </a>
                    <a href="/User/Create" class="btn btn-inverse btn-primary btn-block width-200">
                        Add New Profile Page
                    </a>
                </div>

            </div>
            <!-- begin panel -->
            <div class="panel pagination-inverse m-b-0 clearfix">

                <table id="data-table" data-order='[[0,"asc"]]' class="table table-bordered table-hover">
                    <thead>
                        <tr class="inverse">
                            <th>Name</th>
                            @*<th>Last Name</th>*@
                            <th>User Name</th>
                            <th>Display Name</th>
                            <th>Email</th>
                            <th>Phone Number</th>
                            <th>Role</th>
                            @*<th data-sorting="disabled" style="pointer-events:none;">Action</th>*@

                        </tr>
                    </thead>
                </table>
            </div>
            <!-- end panel -->
        </div>
    </div>
    <div id="footer" class="footer">
        <span class="pull-right">
            <a href="javascript:;" class="btn-scroll-to-top" data-click="scroll-top">
                <i class="fa fa-arrow-up"></i> <span class="hidden-xs">Back to Top</span>
            </a>
        </span>
        &copy; 2018 <b>Source Admin</b> All Right Reserved
    </div>
</div>

<script>
    $(document).ready(function () {
        $("#data-table").DataTable({
            "processing": true,
            "serverSide": true,
            "filter": true,
            "orderMulti": false,
            "ajax": {
                "url": "/Resources/LoadData",
                "type": "POST",
                "datatype": "json",
            },

            "columns": [
                //{ "data": "firstName", "name": "firstName" },
                {
                    "render": function (data, type, full, meta) {
                        debugger;
                        var student = full;
                        var returnString = "";
                        if (student.hasOwnProperty('firstName')) {
                            returnString = student.firstName;
                        }
                        if (student.hasOwnProperty('lastName')) {
                            if (returnString.length) {
                                returnString += " " + student.lastName;
                            } else {
                                returnString = student.lastName;
                            }
                        }
                        return returnString;

                    }
                },
                //{ "data": "lastName", "name": "lastName" },
                { "data": "userName", "name": "userName" },
                { "data": "displayName", "name": "displayName" },
                { "data": "emailAddress", "name": "emailAddress" },
                { "data": "phoneNumber", "name": "phoneNumber" },
                { "data": "userRoleName", "name": "userRoleName" }
                //{
                //    render: function (data, type, full, meta) { return '<a class="btn btn-default btn-xs btn-rounded p-l-10 p-r-10" title="Edit" href="/Company/Edit/' + full.id + '"><i class="fas fa-edit"></i></a> <a class="btn btn-default btn-xs btn-rounded p-l-10 p-r-10" title="Delete" href="/Company/Delete/' + full.id + '"><i class="far fa-trash-alt"></i></a>'; }
                //},
            ]
        });
    });
</script>